/*
	SNES region patcher interface
	Mic, 2010
*/

#ifndef SNESREGIONPATCHER_H
#define SNESREGIONPATCHER_H

#include <iostream>
#include <fstream>

class SnesRegionPatcher
{
public:
	int Patch(const int newRegion, const char *smcFilename, const char *outputFilename=NULL);

	static const int REGION_NTSC = 0;
	static const int REGION_PAL = 1;

private:
	static int PatternReplace(const unsigned char* const *searchPatterns,
		                      const unsigned char* const *replacementPatterns,
							  const int *patternLengths,
							  char *dataToPatch,
							  int dataSize);

};

#endif
